Main Page Modules Data Structures File List Data Fields Globals Related Pages

# python/rpmts-py.c File Reference

More...

`#include "system.h"`
`#include "Python.h"`
`#include <rpmcli.h>`
`#include <rpmpgp.h>`
`#include <rpmdb.h>`
`#include "header-py.h"`
`#include "rpmds-py.h"`
`#include "rpmfi-py.h"`
`#include "rpmmi-py.h"`
`#include "rpmte-py.h"`
`#include "rpmts-py.h"`
`#include "debug.h"`

Go to the source code of this file.

## Data Structures
struct | rpmtsCallbackType_s
## Defines
#define | _RPMTS_INTERNAL
## Functions
PyObject * | rpmts_Debug (rpmtsObject *s, PyObject *args)
void | rpmtsAddAvailableElement (rpmts ts, Header h, fnpyKey key)
PyObject * | rpmts_AddInstall (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_AddErase (rpmtsObject *s, PyObject *args)
int | rpmts_SolveCallback (rpmts ts, rpmds ds, void *data)
PyObject * | rpmts_Check (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_Order (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_Clean (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_IDTXload (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_IDTXglob (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_Rollback (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_OpenDB (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_CloseDB (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_InitDB (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_RebuildDB (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_VerifyDB (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_HdrFromFdno (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_HdrCheck (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_SetVSFlags (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_PgpPrtPkts (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_PgpImportPubkey (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_GetKeys (rpmtsObject *s, PyObject *args)
void * | rpmtsCallback (const void *hd, const rpmCallbackType what, const unsigned long amount, const unsigned long total, const void *pkgKey, rpmCallbackData data)
PyObject * | rpmts_SetFlags (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_SetProbFilter (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_Run (rpmtsObject *s, PyObject *args)
PyObject * | rpmts_iternext (rpmtsObject *s)
PyObject * | rpmts_Next (rpmtsObject *s)
rpmmiObject * | rpmts_Match (rpmtsObject *s, PyObject *args)
void | rpmts_dealloc (PyObject *o)
PyObject * | rpmts_getattr (rpmtsObject *o, char *name)
int | rpmts_setattr (rpmtsObject *o, char *name, PyObject *val)
rpmtsObject * | rpmts_Create (PyObject *self, PyObject *args)
## Variables
int | _rpmts_debug = 0
PyMethodDef | rpmts_methods []
char | rpmts_doc []
PyTypeObject | rpmts_Type

## Detailed Description

Definition in file rpmts-py.c.

## Define Documentation

#define _RPMTS_INTERNAL

| Definition at line 23 of file rpmts-py.c.

## Function Documentation

rpmtsObject* rpmts_Create | ( | PyObject * | self,
|  | PyObject * | args
| ) |

| Definition at line 1422 of file rpmts-py.c. References rpmtsObject_s::keyList, rpmExpandNumeric, rpmts_Type, rpmtsCreate, rpmtsSetRootDir, rpmtsSetVSFlags, rpmtsObject_s::scriptFd, rpmtsObject_s::ts, rpmtsObject_s::tsi, and rpmtsObject_s::tsiFilter.

PyObject* rpmts_iternext | ( | rpmtsObject * | s | ) | `[static]`

| Todo: Add TR_ADDED filter to iterator. Definition at line 1141 of file rpmts-py.c. References rpmte, rpmte_Wrap, rpmtsiFree, rpmtsiInit, and rpmtsiNext. Referenced by rpmts_Next.

rpmmiObject* rpmts_Match | ( | rpmtsObject * | s,
|  | PyObject * | args
| ) | `[static]`

| Definition at line 1196 of file rpmts-py.c. References RPMDBI_PACKAGES, rpmmi_Wrap, rpmtsInitIterator, rpmtsOpenDB, and tagNumFromPyObject.

PyObject* rpmts_Next | ( | rpmtsObject * | s | ) | `[static]`

| Todo: Add TR_ADDED filter to iterator. Definition at line 1174 of file rpmts-py.c. References rpmts_iternext.

## Variable Documentation

int _rpmts_debug = 0`[static]`

| Definition at line 28 of file rpmts-py.c. Referenced by rpmts_Debug, and rpmtsAddAvailableElement.

char rpmts_doc[]`[static]`

| Initial value:
    ""
Definition at line 1366 of file rpmts-py.c.